View Issue Details

IDProjectCategoryView StatusLast Update
0022132LazarusLCLpublic2016-12-28 18:19
ReporterBoris MatkovAssigned ToJuha Manninen 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.30.4Product Build 
Target Version1.6.3 (SVN)Fixed in Version1.7 (SVN) 
Summary0022132: TStringGrid.PaintTo() doesn't work
DescriptionTStringGrid.PaintTo() doesn't work (or works incorrectly).
See attached project
TagsNo tags attached.
Fixed in Revisionr53791
LazTarget1.6.4
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0025448 closedMichl GetFormImage supplies black Bitmap 

Activities

2012-05-25 16:26

 

1234.zip (65,257 bytes)

Vojtech Cihak

2012-05-25 17:04

reporter   ~0059952

Last edited: 2012-05-25 17:17

1) TStringGrid.PaintTo does not exist, this is method of TWinControl
2) In your code is: StringGrid1.PaintTo(Self.Canvas, 200, 200);
You are trying to paint to Form.Canvas. Try it with TImage.Canvas or TPaintBox.Canvas, it works here.

EDIT: I tried also with GTK2. It is possible to paint of form.canvas in gtk2 but not in Qt.

Juha Manninen

2012-05-26 09:52

developer   ~0059965

Wrong usage of TStringGrid.
Please read documentation in wiki or ask forum or mailing list about right ways to use it.

Michl

2016-12-28 18:17

developer   ~0097126

Fixed in trunk revision 53791.

Issue History

Date Modified Username Field Change
2012-05-25 16:26 Boris Matkov New Issue
2012-05-25 16:26 Boris Matkov File Added: 1234.zip
2012-05-25 16:26 Boris Matkov Widgetset => Win32/Win64
2012-05-25 17:04 Vojtech Cihak Note Added: 0059952
2012-05-25 17:17 Vojtech Cihak Note Edited: 0059952
2012-05-26 09:52 Juha Manninen LazTarget => -
2012-05-26 09:52 Juha Manninen Status new => resolved
2012-05-26 09:52 Juha Manninen Resolution open => no change required
2012-05-26 09:52 Juha Manninen Assigned To => Juha Manninen
2012-05-26 09:52 Juha Manninen Note Added: 0059965
2016-12-28 09:54 Michl Relationship added related to 0025448
2016-12-28 18:17 Michl Note Added: 0097126
2016-12-28 18:17 Michl Status resolved => closed
2016-12-28 18:17 Michl Fixed in Version => 1.7 (SVN)
2016-12-28 18:17 Michl Target Version => 1.6.3 (SVN)
2016-12-28 18:18 Michl Assigned To Juha Manninen =>
2016-12-28 18:18 Michl Status closed => assigned
2016-12-28 18:18 Michl Resolution no change required => reopened
2016-12-28 18:19 Michl Fixed in Revision => r53791
2016-12-28 18:19 Michl LazTarget - => 1.6.4
2016-12-28 18:19 Michl Status assigned => resolved
2016-12-28 18:19 Michl Resolution reopened => fixed
2016-12-28 18:19 Michl Assigned To => Juha Manninen